| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# StatEntity.h File Reference

`#include <string>`
`#include <iostream>`

Include dependency graph for StatEntity.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Gaudi
namespace | Gaudi::Utils
## Classes
class | StatEntity
| The basic counter used for Monitoring purposes. More...
## Defines
#define | GAUDIKERNEL_STATENTITY_H 1
## Functions
StatEntity | operator+ (const StatEntity &entity, const double value)
| external operator for addition of StatEntity and a number
StatEntity | operator+ (const double value, const StatEntity &entity)
| external operator for addition of StatEntity and a number
StatEntity | operator+ (const StatEntity &entity, const StatEntity &value)
| external operator for addition of StatEntity and a number
StatEntity | operator- (const StatEntity &entity, const double value)
| external operator for subtraction of StatEntity and a number
std::ostream & | operator<< (std::ostream &stream, const StatEntity &entity)
| external printout operator to std::ostream
std::string | Gaudi::Utils::formatAsTableRow (const StatEntity &counter, const bool flag, const std::string &format1=" |%|7d| |%|11.7g| |%|#11.5g| |%|#10.5g| |%|#10.5g| |%|#10.5g| |", const std::string &format2="*|%|7d| |%|11.5g| |(%|#9.7g| +- %|-#8.6g|)%%| ----- | ----- |")
| print the counter in a form of the table row
std::string | Gaudi::Utils::formatAsTableRow (const std::string &name, const StatEntity &counter, const bool flag=true, const std::string &format1=" %|-15.15s|%|17t||%|7d| |%|11.7g| |%|#11.5g| |%|#10.5g| |%|#10.5g| |%|#10.5g| |", const std::string &format2="*%|-15.15s|%|17t||%|7d| |%|11.5g| |(%|#9.7g| +- %|-#8.6g|)%%| ----- | ----- |")
| print the counter in a form of the table row
std::string | Gaudi::Utils::formatAsTableRow (const std::string &name, const std::string &group, const StatEntity &entity, const bool flag=true, const std::string &format1=" %|15.15s|%|-15.15s|%|32t||%|7d| |%|11.7g| |%|#11.5g| |%|#10.5g| |%|#10.5g| |%|#10.5g| |", const std::string &format2="*%|15.15s|%|-15.15s|%|32t||%|7d| |%|11.5g| |(%|#9.7g| +- %|-#8.6g|)%%| ----- | ----- |")
| print the counter in a form of the table row

## Define Documentation

#define GAUDIKERNEL_STATENTITY_H 1

Definition at line 6 of file StatEntity.h.

## Function Documentation

StatEntity operator+ | ( | const StatEntity & | entity,
|  | const StatEntity & | value |
| ) |  |  |

external operator for addition of StatEntity and a number

Definition at line 250 of file StatEntity.cpp.

    00251 { StatEntity aux ( entity ) ; return aux+=value ; }

StatEntity operator+ | ( | const double | value,
|  | const StatEntity & | entity |
| ) |  |  |

external operator for addition of StatEntity and a number

Definition at line 240 of file StatEntity.cpp.

    00241 { return entity + value ; }

StatEntity operator+ | ( | const StatEntity & | entity,
|  | const double | value |
| ) |  |  |

external operator for addition of StatEntity and a number

Definition at line 235 of file StatEntity.cpp.

    00236 { StatEntity aux ( entity ) ; return aux+=value ; }

StatEntity operator- | ( | const StatEntity & | entity,
|  | const double | value |
| ) |  |  |

external operator for subtraction of StatEntity and a number

Definition at line 245 of file StatEntity.cpp.

    00246 { StatEntity aux ( entity ) ; return aux-=value ; }

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const StatEntity & | entity |
| ) |  |  |

external printout operator to std::ostream

Definition at line 255 of file StatEntity.cpp.

    00256 { return entity.print ( stream ) ; }